### Constructor

# GtkSource View new

#### Declaration [src]

    GtkWidget*
    gtk_source_view_new (
      void
    )

#### Description [src]

Creates a new `GtkSourceView`.

By default, an empty `GtkSourceBuffer` will be lazily created and can be retrieved with `gtk_text_view_get_buffer()`.

If you want to specify your own buffer, either override the `Gtk.TextViewClass.create_buffer` factory method, or use `gtk_source_view_new_with_buffer()`.

#### Return value

Type: `GtkWidget`

A new `GtkSourceView`.

The data is owned by the called function.